Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224045 - X selection disappears when opening new mail to paste into
Summary: X selection disappears when opening new mail to paste into
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 5
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-23 20:06 UTC by Scott R. Godin
Modified: 2018-04-11 06:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-15 14:39:30 UTC


Attachments (Terms of Use)

Description Scott R. Godin 2007-01-23 20:06:30 UTC
Description of problem: Evolution kills the X clipboard when you open a new 
mail, so that you cannot middle-click-paste your selection into a new mail


Version-Release number of selected component (if applicable):
evolution-2.6.3-1.fc5.5

How reproducible:
always

Steps to Reproduce:
1.Select something in an xterm, vim, web-browser window, xchat, anything.
2.switch to evolution which is already running, and open a new mail with CTRL-N 
or clicking on the New Mail button.
3. attempt to middle-click-paste your selection into the body of the mail. 
Nothing happens.
4. go BACK to your app, RESELECT the text
5. go BACK AGAIN to Evolution, bring the new mail window forward if it somehow 
slipped to the background, and now your middle-click-paste will work.

Workaround (new mail, go to app and select, go back to evolution) is still 
unacceptable as it requires the extra back-and-forth trip no matter what)
  
Actual results:
mouseclick paste fails 

Expected results:
middle click should paste what you had selected immediately prior to opening a 
new mail in evolution

Additional info:

This is highly annoying as it happens every time, requiring a round-trip back 
to the app and back to evolution again, EVERY time you want to paste something 
into a new email.

Severity may be low/normal but annoyance is very high, as it's a time-waster.

Comment 1 Matěj Cepl 2007-08-31 15:21:42 UTC
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this
bug as INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.

Comment 2 Scott R. Godin 2007-09-01 07:38:03 UTC
it *appears* to work in Fedora 7. though I've only tested it briefly. 

I'll check back on this after I've had a chance to work with it more (F7's only 
on my laptop at the moment, not the desktop I use most) and give you a final 
determination. 

With any luck it's been squashed. 

Comment 3 Matthew Barnes 2007-10-02 17:56:23 UTC
Thanks for responding.  Just to help me track it, I'll leave this bug in
NEEDINFO status until you report back.

Comment 4 Matěj Cepl 2007-11-08 17:33:07 UTC
Reporter, have you had an opportunity to check the sitaution with Fedora 7 (or
even Fedora 8 released today)?

Comment 5 Matěj Cepl 2007-12-10 21:47:58 UTC
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Evolution.
If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]

Comment 6 Matěj Cepl 2008-01-15 14:39:30 UTC
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}


Note You need to log in before you can comment on or make changes to this bug.